Debian Bug report logs - #369479
upgrading from Sarge prompts without using debconf

version graph

Package: udev; Maintainer for udev is Marco d'Itri <md@linux.it>; Source for udev is src:systemd.

Reported by: Sven Luther <luther@debian.org>

Date: Tue, 30 May 2006 06:18:01 UTC

Severity: serious

Tags: fixed, patch

Found in version udev/0.062-3

Fixed in versions 0.100-2.1, udev/0.103-1

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#369479; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Sven Luther <luther@debian.org>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Luther <luther@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: [BSP] implement debconf for the udev kernel-related upgrade procedure.
Date: Tue, 30 May 2006 08:11:53 +0200
Package: udev
Version: 0.092-2
Severity: serious
Tags: help
Justification: Policy 3.9.1

Marco: filing this bug after discussion with our RMs, so that it stands out in
the upcoming BSP, and someone sends you a patch implementing this idea that
neither you nor i have time to implement.

On sunday, i tried an upgrade from sarge to sid, and as thus hit the problem
with the udev/kernel/hal&co upgrade loop. 

Currently this can be solved by touching a file which will bypass this
question, and the upgrade script fails with this message. This is ugly and
non-evident, and i passed the message altogether before first reading it
(especially as it was in the middle of a 700+ package upgrade).

I discussed this with Marco on irc, and he agreed that the right thing to do
would be to use a debconf question instead of the current bit. Furthermore,
policy mandates, for sarge already, that all user interaction be done using
debconf, so this is RC anyway.

So, the problem is that the new udev needs a kernel version 2.6.12 to be
running, and fails altogether for 2.4 kernels. When detecting a 2.4 kernel is
running, udev instaklls itself, but in disabled form. When detecting the sarge
2.6.8 kernel, udev refuses to install, and if you already had part of gnome
upgraded, you are left with a mess. More detail can be found in 

  Bug #349354: initramfs-tools - kernel -udev dependency loop

Now, the proposed solution would be to ask this question in a debconf dialog,
inform the user that he is running 2.6.8, and either abort (as is done now,
and which stays the default), or continous the upgrade and in this case inform
the user that he should make sure to install a 2.6.12 kernel or his system may
well end up being unbootable.

Marco, once the basic setup is in place, it would be best if you polished
those dialogs to your convenience, or something, or added some toughts to this
bug report, or discussed it with the BSPer directly or something.

Friendly,

Sven Luther



Bug marked as found in version 0.062-3. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as not found in version 0.092-2. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#369479; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@aybabtu.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #14 received at 369479@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 369479@bugs.debian.org
Cc: Sven Luther <luther@debian.org>
Subject: udev and linux 2.6.8
Date: Thu, 27 Jul 2006 17:26:04 +0200
> When detecting a 2.4 kernel is
> running, udev instaklls itself, but in disabled form. When detecting the sarge
> 2.6.8 kernel, udev refuses to install, and if you already had part of gnome
> upgraded, you are left with a mess.

Why all this fuss about using debconf?  Can't it just treat 2.6.8 the same as
2.4?  I.e., when detecting linux 2.6.8 is running, udev installs itself, but
in disabled form.

Also note that if the debconf question defaults to "no", you're gratuitously
breaking install path for users whose debconf priority is too high.

-- 
Robert Millan

My spam trap is honeypot@aybabtu.com.  Note: this address is only intended for
spam harvesters.  Writing to it will get you added to my black list.



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#369479; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #19 received at 369479@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Robert Millan <rmh@aybabtu.com>, 369479@bugs.debian.org
Cc: Sven Luther <luther@debian.org>
Subject: Re: Bug#369479: udev and linux 2.6.8
Date: Thu, 27 Jul 2006 18:12:55 +0200
[Message part 1 (text/plain, inline)]
On Jul 27, Robert Millan <rmh@aybabtu.com> wrote:

> Why all this fuss about using debconf?  Can't it just treat 2.6.8 the same as
> 2.4?  I.e., when detecting linux 2.6.8 is running, udev installs itself, but
> in disabled form.
It does, the UI which some people vocally requested but are not bothering
to implement would be used while upgrading a system already running udev.

Your other questions are answered in the painfully long threads archived
in #349354. Please please please read it a few times before replying.
If at that point there is still something which is not clear to you,
feel free to look for me on IRC.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Filipus Klutiero <cheal@hotpop.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: help Request was from martin f.krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#369479; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #28 received at 369479@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 369479@bugs.debian.org
Subject: Proposed implementation
Date: Sun, 01 Oct 2006 17:01:28 +0200
[Message part 1 (text/plain, inline)]
tag 369479 + patch
thanks

Hi,

you will find attached a proposed implementation for handling
sarge->etch upgrades with udev using debconf.

Cheers,
-- 
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
  `-  Debian GNU/Linux -- The power of freedom
[udev_0.100-2-2.1.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#369479; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #35 received at 369479@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 369479@bugs.debian.org
Subject: Re: Proposed implementation
Date: Wed, 11 Oct 2006 20:59:32 +0200
[Message part 1 (text/plain, inline)]
Le dimanche 01 octobre 2006 à 17:01 +0200, Josselin Mouette a écrit :
> you will find attached a proposed implementation for handling
> sarge->etch upgrades with udev using debconf.

Apart from the postinst change - which is indeed not necessary - do you
have any comments about this proposal? Please don't hesitate to ask for
more help if you need it, as I really want to see it fixed for etch.
-- 
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
  `-  Debian GNU/Linux -- The power of freedom
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#369479; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #40 received at 369479@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 369479@bugs.debian.org
Subject: Diff for 0.100-2.1 NMU
Date: Sun, 15 Oct 2006 18:57:02 +0200
[Message part 1 (text/plain, inline)]
Please find attached the diff for the 0.100-2.1 NMU.
-- 
Josselin Mouette                /\./\

"Do you have any more insane proposals for me?"
[udev_0.100-2-2.1.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Sven Luther <luther@debian.org>:
Bug#369479. Full text and rfc822 format available.

Message #45 received at 369479-submitter@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>
To: 369479-submitter@bugs.debian.org
Subject: Debian bug #369479
Date: Thu, 26 Oct 2006 22:29:21 +0100
Hi,

You should have recently received (or will soon receive) an e-mail
telling you that I've closed Debian bug #369479 in the udev 
package, which you reported.

Due to the fact that the package was uploaded by someone who does not
normally do so, the bug was marked as "fixed" rather than closed.

Debian's bug tracking system now allows for this information to be
recorded in a more useful manner, enabling these bugs to be closed.

Due to the volume of bugs affected by this change, we are unfortunately
not sending individualized explanations for each bug. If you have
questions about the fix for your particular bug or about this email,
please contact me directly or follow up to the bug report in the Debian
BTS.

[It's possible you may receive multiple messages stating that the bug
was fixed in several different versions of the package. There are two
common reasons for this:

  - the bug was fixed in one version but subsequently found to exist
    in a later version

  - the bug existed in multiple distributions (for instance, "unstable"
    and "stable") and was thus fixed in a separate upload to each
    distribution
]

Regards,

Adam



Bug marked as fixed in version 0.100-2.1, send any further explanations to Sven Luther <luther@debian.org> Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#369479; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #52 received at 369479@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 369479@bugs.debian.org
Subject: Diff for 0.100-2.2 NMU
Date: Fri, 27 Oct 2006 09:48:16 +0200
[Message part 1 (text/plain, inline)]
Please find attached the diff for the 0.100-2.2 NMU, which fixes a
missing Pre-Depends: field with the previous NMU.
-- 
Josselin Mouette                /\./\

"Do you have any more insane proposals for me?"
[udev_0.100-2_2.2.diff (text/x-patch, attachment)]

Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sven Luther <luther@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #57 received at 369479-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 369479-close@bugs.debian.org
Subject: Bug#369479: fixed in udev 0.103-1
Date: Sun, 26 Nov 2006 23:47:08 +0000
Source: udev
Source-Version: 0.103-1

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive:

libvolume-id-dev_0.103-1_i386.deb
  to pool/main/u/udev/libvolume-id-dev_0.103-1_i386.deb
libvolume-id0_0.103-1_i386.deb
  to pool/main/u/udev/libvolume-id0_0.103-1_i386.deb
udev-udeb_0.103-1_i386.udeb
  to pool/main/u/udev/udev-udeb_0.103-1_i386.udeb
udev_0.103-1.diff.gz
  to pool/main/u/udev/udev_0.103-1.diff.gz
udev_0.103-1.dsc
  to pool/main/u/udev/udev_0.103-1.dsc
udev_0.103-1_i386.deb
  to pool/main/u/udev/udev_0.103-1_i386.deb
udev_0.103.orig.tar.gz
  to pool/main/u/udev/udev_0.103.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 369479@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 26 Nov 2006 23:16:09 +0100
Source: udev
Binary: libvolume-id-dev udev libvolume-id0 udev-udeb
Architecture: source i386
Version: 0.103-1
Distribution: unstable
Urgency: medium
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 libvolume-id-dev - libvolume_id development headers
 libvolume-id0 - libvolume_id shared library
 udev       - /dev/ and hotplug management daemon
 udev-udeb  - /dev/ and hotplug management daemon (udeb)
Closes: 321642 369479 389743 392580 392623 393433 394897 395136 395160 395340 395889 396072 396149 396841 396933 397476 397528 398724 399107 399624 400258
Changes: 
 udev (0.103-1) unstable; urgency=medium
 .
   * New upstream release.
   * permissions.rules: detect upper case Epson scanners too. (Closes: #392580)
   * permissions.rules: fix the permissions of the partitions of removable
     block devices. (Closes: #321642)
   * permissions.rules: added lirc[0-9]* group audio. (Closes: #396841)
   * permissions.rules: added rtc[0-9]* group audio. (Closes: #395160)
   * permissions.rules: added tun mode 666, for recent kernels.
   * persistent.rules: ignore gnbd* devices.
   * persistent.rules: added links for MMC devices.
   * persistent.rules: create disk/by-id/ata-* links for IDE devices
     controlled by libata.
   * hotplug.rules: autoload the mmc-block driver.
   * hotplug.rules: do not attempt to autoload i82365 because it's broken
     and may cause a modprobe loop (see #398962 for details).
   * udev.rules, devfs.rules: stop suppressing creation of dm-* devices,
     because they are needed by HAL. (Closes: #392623)
   * udev.rules, devfs.rules: run PROGRAMs only for "add" ACTIONs.
   * hotplug.rules: removed call to ide.agent from the udeb. (Closes: #396933)
   * Added a new 020_id.rules file with calls to cdrom_id for the udeb.
     (Closes: #400258)
   * Create the kernel-upgrade flag file also in the debconf upgrade path,
     or the new udevd will be started (and fail).
   * write_net_rules: document that MAC addresses must be written in
     lowercase. (Closes: #389743)
   * Set the SELinux contexts for devices created in the initramfs.
     (Closes: #397528)
   * Implemented no_static_dev when a initramfs is used. (Closes: #397476)
   * Robustness: fixed postinst to not fail if /dev/{pts,shm}/ do not exist,
     which usually should not happen. (Closes: #395136)
   * Do not mention CONFIG_KOBJECT_UEVENT in README.Debian. (Closes: #399624)
   * Made the init script recognize /dev/null as a valid boot-time console,
     to work better with upstart (see #397002).
   * New debconf templates: sv, ru, fr, da, de, eu.
     (Closes: #393433, #394897, #395340, #396072, #396149, #398724, #399107)
   * Merged the NMUs. (Closes: #369479, #395889)
Files: 
 1d8517b22e3049f406e4a00be3ccbc85 635 admin important udev_0.103-1.dsc
 a29dbf712002433085e759bec5005a85 200270 admin important udev_0.103.orig.tar.gz
 64fd4333679fd491cad960bfc083a76c 57411 admin important udev_0.103-1.diff.gz
 d57d59febfa0ac554db5574370eb9fd4 273598 admin important udev_0.103-1_i386.deb
 d281b5dbffe8f125d641c5802d8e0654 60822 libs important libvolume-id0_0.103-1_i386.deb
 d8734e2e795075af30f060f0d9725c1b 15542 libdevel optional libvolume-id-dev_0.103-1_i386.deb
 3e6999259a3b848ccdc0cdc2c7701f32 104402 debian-installer important udev-udeb_0.103-1_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFaiHYFGfw2OHuP7ERAvgdAKCgwYojjhz40+zZbo66C1p/lKycGwCfa2h/
JfA8dYP3kDCvmi+6B/zEL0A=
=WTgF
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 17:36:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:07:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.